Skip to main content

Documentation Index

Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns split events where USDC was converted into outcome tokens for a market condition.

Request

GET /v3/wallets/{address}/splits

Query parameters

ParameterTypeDefaultDescription
afterintegerStart of time range (Unix timestamp)
beforeintegerEnd of time range
limitinteger100Max 1000
offsetinteger0Pagination offset

Example

curl https://api.polynode.dev/v3/wallets/0xada100874d00e3331d00f2007a9c336a65009718/splits?limit=1
{
  "data": [
    {
      "id": "0x48a4ffe402ea660ccb9dea5f802ca4ea5d22ed395ae07d249fca0ec94b79d325_0x566",
      "timestamp": "1778492385",
      "condition": "0xd863a481323564b64f431d4c8fa8f0237f56075b2bb4b6f3ec9be8986ec292f0",
      "amount": "33927075"
    }
  ],
  "rows_returned": 1,
  "has_more": true,
  "elapsed_ms": 3
}

Response fields

FieldTypeDescription
idstringSplit event ID
timestampstringUnix timestamp
conditionstringMarket condition ID
amountstringUSDC amount split (6-decimal)